﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class TextController : MonoBehaviour {

	public Text text;
	private enum States {cell, mirror, sheets_0, lock_0, cell_mirror, sheets_1, lock_1, freedom};
	private States myStates;

	// Use this for initialization
	void Start () {
		myStates = States.cell;
	}
	
	// Update is called once per frame
	void Update ()
	{
		print (myStates);
		if (myStates == States.cell) {
			state_cell ();
		} else if (myStates == States.sheets_0) {
			state_sheets_0();
		}
	}

	void state_cell ()
	{
		text.text = "You are in a prison cell, trying to escape. There are some dirty sheets on the bed, a mirror on the wall, and the door is locked from outside.\n\nPress S to view sheets, M for mirror, L for lock.";
		if (Input.GetKeyDown (KeyCode.S)) {
			myStates = States.sheets_0;
		}
	}

	void state_sheets_0 ()
	{
		text.text = "It's so dirty! \n\nPress R to return to roaming your cell.";
		if (Input.GetKeyDown (KeyCode.R)) {
			myStates = States.cell;
		}
	}



}
